Summary:        Perl module implementing stack trace and stack trace frame objects
Name:           perl-Devel-StackTrace
Version:        2.04
Release:        7%{?dist}
License:        Artistic 2.0
URL:            https://metacpan.org/release/Devel-StackTrace
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Devel-StackTrace-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-generators perl(strict) perl(warnings) perl(File::Spec) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(bytes) perl(overload) perl(Scalar::Util)
BuildRequires:  perl(base) perl(IO::Handle) perl(Test::More) >= 0.88

BuildArch:      noarch

%description
The Devel::StackTrace module contains Devel::StackTrace and Devel::StackTraceFrame,which are 
encapsulated to provide a simple interface for external calls.

The Devel::StackTrace object contains a set of Devel::StackTraceFrame objects, one for each 
level of the stack.  These frames contain all the data available from caller() as of Perl 5.6.0.

%prep
%autosetup -n Devel-StackTrace-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install 
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/Devel
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.04-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 5 2022 Wang Guodong <gordonwwang@tencent.com> - 2.04-1
- package init.
